#include "queue.h"


List ListCreate(void)
{
	return NULL;
}

void ListTraverse(List list)
{
	ListNode *curr;

	for(curr=list; curr !=NULL; curr=curr->pNext)
	{
		printf("%s\n", curr->pData);
	}
}

List ListInsert(List list, void *pData)
{
	ListNode *pNewNode;
	ListNode *pCurrNode = list;
	ListNode *pPrevNode = NULL;

	for(; pCurrNode != NULL; pPrevNode=pCurrNode, pCurrNode=pCurrNode->pNext)
		;

	pNewNode = ListNodeCreate(pData, pCurrNode);

	if(pPrevNode == NULL)
		list = pNewNode;
	else
		pPrevNode->pNext = pNewNode;

	return list;
}

void ListDestroy(List list)
{
	ListNode *pCurrNode = list;
	ListNode *temp;

	for(; pCurrNode != NULL; pCurrNode = temp)
	{
		temp = pCurrNode->pNext;
		ListNodeDestroy(pCurrNode);
	}
}

pEventList EventListCreate(void)
{
	return NULL;
}

void EventListTraverse(pEventList pList)
{
	EventListNode *curr;

	curr=pList;

	for(curr=pList; curr != NULL; curr=curr->pNext)
	{
		printf("type:%s\n", curr->eventType);
		printf("cnt:%s\n", curr->eventCnt);
	}
}

pEventList EventListInsert(pEventList pList, int eventType, int eventCnt, ptcb_t pTcb)
{
	EventListNode *pNewNode;
	EventListNode *pCurrNode = pList;
	EventListNode *pPrevNode = NULL;
	ptcb_t temp;

	for(; pCurrNode != NULL; pPrevNode=pCurrNode, pCurrNode=pCurrNode->pNext)
		;

	pNewNode = EventListNodeCreate(eventType, eventCnt, temp, pCurrNode);

	if(pPrevNode == NULL) {
		pList = pNewNode;printf("t");}
	else
		pPrevNode->pNext = pNewNode;

	return pNewNode;
}

void EventListDestroy(pEventList pList)
{
	EventListNode *pCurrNode = pList;
	EventListNode *temp;

	for(; pCurrNode != NULL; pCurrNode = temp)
	{
		temp = pCurrNode->pNext;
		EventListNodeDestroy(pCurrNode);
	}
}

/*
int main()
{
	char *line;
	char *ptr;
	int len;
	EventList sl = EventListCreate();
	pEventQueue testQ = EventQueueCreate();

	line = malloc(1024);
	line = "1";
	EventListInsert(sl, 1, 1, NULL);
	EventEnqueue(testQ, sl);
	line = "2";
	EventEnqueue(testQ, EventListInsert(sl, 1, 2, NULL));
	line = "3";
	EventEnqueue(testQ, EventListInsert(sl, 1, 3, NULL));
	printf("%d\n", testQ->pFront->eventCnt);
	printf("%d\n", testQ->pRear->eventCnt);
	printf("%d\n", sl->eventCnt);

    EventListTraverse(sl);
	EventListDestroy(sl);

	return 0;
}
*/
