#include "lnodes.h"

ListNode *ListNodeCreate(void *pData, ListNode *pNode)
{
	ListNode *pNewNode = malloc(sizeof(ListNode));

	if(pNewNode != NULL)
	{
		pNewNode->pData = pData;
		pNewNode->pNext = pNode;
	}

	return pNewNode;
}

void ListNodeDestroy(ListNode *pNode)
{
	free(pNode);
}

EventListNode *EventListNodeCreate(int eventType, int eventCnt, ptcb_t pTcb, EventListNode *pNode)
{
	EventListNode *pNewNode = malloc(sizeof(EventListNode));

	if(pNewNode != NULL)
	{
		pNewNode->eventType = eventType;
		pNewNode->eventCnt = eventCnt;
		pNewNode->pTcb = pTcb;
		pNewNode->pNext = pNode;
	}

	return pNewNode;
}

void EventListNodeDestroy(EventListNode *pNode)
{
	free(pNode);
}
