#include <stddef.h>		// NULL
#include <stdlib.h>		// malloc
#include "../thread/thread.h"  // tcb_t
#include "../scheduler/scheduler.h"

typedef struct listnode
{
	void *pData;
	struct listnode *pNext;
} ListNode;

typedef struct eventlistnode
{
	int eventType;
	int eventCnt;
	ptcb_t pTcb;
	waitList_t blockedList;
	struct eventlistnode *pNext;
} EventListNode;

ListNode *ListNodeCreate(void *pData, ListNode *pNode);
void ListNodeDestroy(ListNode *pNode);
EventListNode *EventListNodeCreate(int eventType, int eventCnt, ptcb_t pTcb, EventListNode *pNode);
void EventListNodeDestroy(EventListNode *pNode);

