#include "list.h"

typedef struct queue
{
	ListNode *pFront;
	ListNode *pRear;
} *pQueue;

typedef struct eventqueue
{
	EventListNode *pFront;
	EventListNode *pRear;
} *pEventQueue;

pQueue QueueCreate(void);
void Enqueue(pQueue pQ, void *pData);
void *Dequeue(pQueue pQ);
pEventQueue EventQueueCreate(void);
void EventEnqueue(pEventQueue pQ, EventListNode *pNode);
void *EventDequeue(pEventQueue pQ);

#define QueueEmpty(pQ) \
    ((pQ)->pFront == NULL)
