#include <stdio.h>


void scheduler();


#include "movement.c"

int nextTask;

void task1()
{
  int i = 0;

  while (1) {
    printf("task-1 : %i\n", i);
    i++;
    sleep(1);
  }
}

void task2()
{
  int i = 0;

  while (1) {
    printf("task-2 : %i\n", i);
    i++;
    sleep(1);
  }
}

void scheduler()
{
  switch (nextTask) {
    case 10 :	nextTask = 11; break;
    case 11 :	nextTask = 10; break;
    default :	break;
  }

  printf("scheduling... ok!\n");
  mm_ContextSwitch(nextTask);
}

int main()
{
  printf("pid : %i\n", getpid());

  mm_Init();

  mm_TaskGenerate(10, task1, NULL);
  mm_TaskGenerate(11, task2, NULL);

  nextTask = 10;
  mm_StartTaskSelect(nextTask);

  mm_TimerStart();

  mm_CriticalSectionCheck();

  while (1)
    sched_yield();

  return 0;
}
