/*************************************************************************** 
 * File        : thread_op.c
 * Date        : 2007/04/14
 * Author      : Sun Joon Gyu
 * Modified    : 2007/05/27
 * Description : This includes functions for operating threads. 
 * ***************************************************************************/

#include"thread.h"
#include"thread_op.h"
#include"../scheduler/scheduler.h"


/*************************************************************************** 
 * Function    : 
 * Date        : 
 * Author      : 
 * Parameter   : 
 * Return value:
 * Description : 
 * ***************************************************************************/

tcb_t *
Kern_GetCurrThread()
{
	return pCurrThread_g;
}





/*************************************************************************** 
 * Function    : 
 * Date        : 
 * Author      : 
 * Parameter   : 
 * Return value:
 * Description : 
 * ***************************************************************************/

char 
Kern_WakeThread(tcb_t *thread)
{
	ListDel(&thread->threadList);
	ListAddTail(&thread->threadList,&pRdyListHead_g->threadList);
}





/*************************************************************************** 
 * Function    : 
 * Date        : 
 * Author      : 
 * Parameter   : 
 * Return value:
 * Description : 
 * ***************************************************************************/

char
Kern_BlockThread(tcb_t *curr,waitList_t *pList)
{


	ListDel(&curr->threadList);

printf("adsf : %p \n", &pList->threadList.next);
	ListAddTail(&curr->threadList,&pList->threadList);


#if 0
	tcb_t *prevThread = curr->pPrev;
	tcb_t *nextThread = curr->pNext;

	prevThread->pNext = nextThread;
	nextThread->pPrev = prevThread;
	
	printf("head id = %d", pRdyListHead_g->pNext->tid);
	pBlockedList_g->Insert(curr);
#endif 


}




/*************************************************************************** 
 * Function    : 
 * Date        : 
 * Author      : 
 * Parameter   : 
 * Return value:
 * Description : 
 * ***************************************************************************/

void 
Sleep(unsigned int time)
{
/* ENTER_CRITICAL_SECTION(); */
	tcb_t *curr = Kern_GetCurrThread();
	curr->tickDly = time;

	Kern_BlockThread(curr,pBlockedList_g);
/* EXIT_CRITICAL_SECTION(); */

	Kern_Sched();
}



